AIOI 2015-02 Beta


AIOI 2015-02 Beta
#1
Hi,

a beta of the LDraw All-In-One-Installer 2015-02 can be found here:

http://www.holly-wood.it/tmp/LDraw_AIOI_...bit_v1.exe

The 2015-02 contains the following changes:

Making the location of the LDraw parts library flexible was a major hassle. Cross your fingers that I cought all references.
Please test and send me your .logs, which can be found in the c:\Windows\LDraw folder, if you encounter any errors.

Thanks, w.
LEGO ergo sum
Reply
Re: AIOI 2015-02 Beta
#2
I would just like to point that the versions of LDView and POV-Ray you have included in the AIOI are not compatible with each other. LDView outputs code meant for POV-Ray 3.6, whereas you have included POV-Ray 3.7 in the installer. Anyone who renders the POV files is going to notice that the colors are severely messed up.
Reply
Re: AIOI 2015-02 Beta
#3
Is this fixed in LDView 4.2 beta or are there other files I have to substitute to work properly with 3.7?

w.
LEGO ergo sum
Reply
Re: AIOI 2015-02 Beta
#4
I don't know if it's fixed in the later version. But in order to repair the actual scenes, all you have to do is type this at the top of every POV-Ray scene:

#version 3.6


Otherwise the colors get all messed up.

[edit]

It turns out that something I added to the scene was triggering POV-Ray 3.7 to think it was designed for that version of the program. It's still much safer to add "#version 3.6" to the top of every scene to keep POV-Ray from getting confused.
Reply
Re: AIOI 2015-02 Beta
#6
It seems that every time you include one of POV-Ray 3.7 standard include files, the program switches between 3.6 and 3.7 compatibility. Since the LDView output doesn't explicitly declare its version number, POV-Ray assumes it was developed for 3.7 which causes the errors.

Here's a thread where one of the POV-Ray developers explains what is going on:

http://news.povray.org/povray.text.scene...ay.org%3E/
Reply
Re: AIOI 2015-02 Beta
#5
to me this appears as a resurfacing of this 3.5 years old problem of the old LDView 4.1 version:

http://forums.ldraw.org/showthread.php?t...06#pid4406

we should really convince Travis to declare his current LDView 4.2 beta (which anyway already everybody uses...)
to be the "official" release 4.2, replacing the ancient 4.1 still included in the AIOI...

Smile
Reply
« Next Oldest | Next Newest »



Forum Jump:


Users browsing this thread: 1 Guest(s)